- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TBrowserLogRoute
TDataFieldAccessor
TDateTimeStamp
TDbLogRoute
TEmailLogRoute
TFileLogRoute
TFirebugLogRoute
TFirePhpLogRoute
TLogger
TLogRoute
TLogRouter
TParameterModule
TSimpleDateFormatter
TVarDumper

Keyword

# Class TFirebugLogRoute

    TComponent
       |
       --TApplicationComponent
          |
          --TLogRoute
             |
             --TBrowserLogRoute
                |
                --TFirebugLogRoute

TFirebugLogRoute class.

TFirebugLogRoute prints selected log messages in the firebug log console.

FireBug Website

Since: 3.1.2
Author: Enrico Stahn <mail@enricostahn.com>, Christophe Boulain <Christophe.Boulain@gmail.com>

Method Summary
protected void | getFirebugLoggingFunction ( mixed $level)
protected void | renderFooter ()
protected void | renderHeader ()
protected void | renderMessage ( mixed $log, mixed $info)

Methods Inherited From TBrowserLogRoute
TBrowserLogRoute::getColorLevel(), TBrowserLogRoute::getCssClass(), TBrowserLogRoute::processLogs(), TBrowserLogRoute::renderFooter(), TBrowserLogRoute::renderHeader(), TBrowserLogRoute::renderMessage(), TBrowserLogRoute::setCssClass()

Methods Inherited From TLogRoute
TLogRoute::collectLogs(), TLogRoute::formatLogMessage(), TLogRoute::getCategories(), TLogRoute::getLevelName(), TLogRoute::getLevels(), TLogRoute::getLevelValue(), TLogRoute::init(), TLogRoute::setCategories(), TLogRoute::setLevels()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getFirebugLoggingFunction

protected void getFirebugLoggingFunction | (mixed $level )

Input
mixed | $level |
Output
Exception

## renderFooter

protected void renderFooter | ()

Output
Exception

## renderHeader

protected void renderHeader | ()

Output
Exception

## renderMessage

protected void renderMessage | (mixed $log , mixed $info )

Input
mixed | $log |
mixed | $info |
Output
Exception